import chalk from 'chalk';

export function highlightLine(line) {
  if (/^\s*at\s/.test(line)) return chalk.dim(line); // Stack trace
  if (/ERROR|Exception|fail/i.test(line)) return chalk.red.bold('❌ ' + line);
  if (/WARN/i.test(line)) return chalk.yellow('⚠️ ' + line);
  if (/INFO/i.test(line)) return chalk.blue('ℹ️ ' + line);
  if (/DEBUG/i.test(line)) return chalk.gray('🐞 ' + line);

  try {
    const parsed = JSON.parse(line);
    return chalk.greenBright(JSON.stringify(parsed, null, 2));
  } catch {
    return line;
  }
}
